App\ContentBundle\Entity\FormCompleted:
  type: entity
  repositoryClass: App\ContentBundle\Repository\FormCompletedRepository
  table: content_form_completed
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    bce_module:
      type: integer
    is_active:
      type: boolean
      default: false
      nullable: true
    is_deleted:
      type: boolean
      default: false
      nullable: true
    created_by:
      type: string
      length: 255
      nullable: true
    created_at:
      type: datetime
    updated_at:
      type: datetime
      mappedBy: content
  oneToMany:
    form_item_completed:
      targetEntity: FormItemCompleted
      mappedBy: form_completed
      cascade: [ "persist", "remove" ]
  manyToOne:
    form:
      targetEntity: Form
      joinColumn:
        name: form_id
        referencedColumnName: id
      inversedBy: form_completed
    session:
      targetEntity: App\SessionsBundle\Entity\Sessions
      joinColumn:
        name: session_id
        referencedColumnName: id
  lifecycleCallbacks:
    prePersist: [ setCreatedAtValue, setUpdatedAtValue ]
    preUpdate: [ setUpdatedAtValue ]
